stages:
    - s1
    - s2
    - s3
    - s4

default:
    image: alpine:latest

job1:
    stage: s1
    script:
        - echo "job1"
        - sleep 6

job2:
    stage: s1
    script:
        - echo "job2"
        - sleep 8

job3:
    stage: s1
    script:
        - echo "job3"
        - sleep 3

job4:
    stage: s2
    script:
        - echo "job4"
        - sleep 5

job5:
    stage: s2
    script:
        - echo "job5"
        - sleep 5

job6:
    stage: s3
    script:
        - echo "job6"
        - sleep 5
    
job7:
    stage: s3
    script:
        - echo "job7"
        - sleep 5

job8:
    needs:
        - job1
    stage: s4
    script:
        - echo "job8"
        - sleep 5

job9:
    stage: s4
    script:
        - echo "job9"
        - sleep 5

job10:
    needs:
        - job5
    stage: s4
    script:
        - echo "job10"
        - sleep 5